#  REGDOS.SCD - DOS make file for Symantec.
#  By Alfons Hoogervorst / Alliterated Software Development, 1998.

######### This make file targets the DOS platform ##########

### Application's name
APP=REGDOSZ

### Development tools used
CC=sc
LIB=lib

### Location of various files
INC=g:\sc\include;..\include

C_OPTIMIZE = -o+time
C_FLAGS_1 = -c -ml -I$(INC)

!ifdef DEBUG
C_FLAGS = $(C_FLAGS_1) -S -g -gd -C
!else
C_FLAGS = $(C_FLAGS_1) $(C_OPTIMIZE)
!endif

# Just being cheap...
ALL_HEADERS=..\include\platform.h ..\include\ahxplatf.h ..\include\ahxdefs.h \
    ..\include\ahxtyps.h ..\include\ahxcfg.h ..\include\ahxpack1.h \
    ..\include\ahxpackn.h ..\include\regdos.h ..\include\_packn.xcc \
    ..\include\_pack1.xcc ..\include\dosx.h

all: $(APP).EXE

# Compiler links for us
$(APP).exe: $(APP).obj lstack.obj getvxdp.obj
    $(CC) -ml $(APP).obj lstack.obj getvxdp.obj -o$(APP).exe
    @echo I'm done.

regdosz.obj: regdosz.c _regcall.c $(ALL_HEADERS)
    $(CC) $(C_FLAGS) -DTEST regdosz.c    

lstack.obj: lstack.c lstack.h $(ALL_HEADERS)
    $(CC) $(C_FLAGS) lstack.c

getvxdp.obj: getvxdp.c _getvxdp.c ..\include\getvxdp.h $(ALL_HEADERS)
    $(CC) $(C_FLAGS) getvxdp.c
    
clean:
        del *.obj
        del $(APP).map
